List all internal services in a Kubernetes service registry
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/kubernetes/internal_services
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/kubernetes/internal_servicesInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
service_registry_id*string
Service registry ID.
Length
1 <= lengthgateway_group_id*string
Gateway group ID.
Length
1 <= lengthResponse Body
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/service_registries/86fb9981-d9d2-4555-9df8-91ae92129335/kubernetes/internal_services"Successfully retrieved the Kubernetes internal services from the service registry.
{
"value": {
"type": "kubernetes",
"internal_services": {
"default": [
"service1",
"service2"
],
"kube-system": [
"kube-dns"
]
}
}
}Invalid arguments. Error details will be provided in the response.
Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/kubernetes/internal_services
List all internal services in a Kubernetes service registry
IAM Action: gateway:GetServiceRegistry, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
service_registry_id(path, string, required): Service registry ID.gateway_group_id(path, string, required): Gateway group ID.
Responses
200: Successfully retrieved the Kubernetes internal services from the service registry.- allOf variant 1
value(object, optional): The specific resource.- allOf variant 2
value(object, optional):- allOf variant 1
value.type(string, optional): The service type.value.internal_services(object, optional): A map of internal services. The Key is the name of namespace and value is the array of internal service names.400: Invalid arguments. Error details will be provided in the response.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/kubernetes/internal_services'